function varargout=sintrend_gui(varargin);
% Функция графического интерфейса для прогнозирования с помощью
% синус-трендов.


if (length(varargin)>0)
    infilename=varargin{1};
else
    infilename='';
end
if (length(varargin)>1)
    outfilename=varargin{2};
else
    outfilename='';
end

hfig=figure;
set(hfig,'Name','Параметри ');
uicontrol('Style','text','Units','normalized','Position',[0.1 0.9 0.2 0.05],'String','Вхідний файл:');
ui_infilename=uicontrol('Style','edit','Units','normalized','Position',[0.3 0.9 0.48 0.05],'String',infilename,'Tag','infile');
ui_infilename_choose=uicontrol('Style','pushbutton','Units','normalized','Position',[0.8 0.9 0.16 0.05],'String','Вибрати','Callback',@guiInfileChoose_Callback);
uicontrol('Style','text','Units','normalized','Position',[0.1 0.2 0.2 0.05],'String','Вихідний файл:');
ui_infilename=uicontrol('Style','edit','Units','normalized','Position',[0.3 0.2 0.48 0.05],'String',outfilename);
ui_infilename_choose=uicontrol('Style','pushbutton','Units','normalized','Position',[0.8 0.2 0.16 0.05],'String','Вибрати','Callback',@guiOutfileChoose_Callback);

uicontrol('Style','text','Units','normalized','Position',[0.1 0.6 0.2 0.05],'String','Початок вікна:');
ui_infilename=uicontrol('Style','edit','Units','normalized','Position',[0.4 0.6 0.48 0.05],'String','1','Tag','infile');

uicontrol('Style','text','Units','normalized','Position',[0.1 0.4 0.2 0.05],'String','Кінець вікна:');
ui_infilename=uicontrol('Style','edit','Units','normalized','Position',[0.4 0.4 0.48 0.05],'String','1000','Tag','infile');

ui_ok=uicontrol('Style','pushbutton','Units','normalized','Position',[0.8 0.05 0.2 0.05],'String','Ok','Callback',@sintrendOkGUI);



function guiInfileChoose_Callback(hObject, eventdata, handles);
[file,path]=uigetfile('*.txt','Виберіть вхідний файл');
fullpath=strcat(path,file);
par=get(hObject,'Parent');
childs=get(par,'Children');
set(childs(length(childs)-1),'String',fullpath);


function guiOutfileChoose_Callback(hObject, eventdata, handles);
[file,path]=uigetfile;
fullpath=strcat(path,file);

set(childs(length(childs)-4),'String',fullpath);


function sintrendOkGUI(hObject, eventdata, handles);
par=get(hObject,'Parent');
childs=get(par,'Children');
nbeg=str2double(get(childs(length(childs)-7),'String'));

nend=str2double(get(childs(length(childs)-9),'String'));
infile=get(childs(length(childs)-1),'String');
data=dlmread(infile);
data_=[transpose(1:length(data)),data];
d0=dwvar_norm(data_,nbeg,nend);
plots7(d0);
